Debian Bug report logs - #696786
please adjust MFSROOT_LIMIT; adjust lowmem thresholds

version graph

Package: src:debian-installer; Maintainer for src:debian-installer is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Steven Chamberlain <steven@pyro.eu.org>

Date: Thu, 6 Sep 2012 18:45:01 UTC

Severity: important

Tags: patch, sid, wheezy

Merged with 698103

Found in versions debian-installer/20120930, debian-installer/20120712

Fixed in versions 1.38, debian-installer/20130211

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686861; Package src:debian-installer. (Thu, 06 Sep 2012 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 06 Sep 2012 18:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: kfreebsd requires larger MFS_ROOT
Date: Thu, 06 Sep 2012 19:42:30 +0100
Package: src:debian-installer
Version: 20120712
Severity: grave
Tags: wheezy sid
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org

Hi,

Graphical install of kfreebsd-amd64 fails when processing
netcfg.templates and/or writing to /var/lib/debconf/templates.dat, with
error "Failed to load installer component: netcfg".

The ramdisk has insufficient space for something, the main-menu process
then crashes, and also core dumps (absolutely exhausting all remaining
space) and gets stuck in a loop trying to restart itself.

On 17/08/12 11:43, Robert Millan wrote:
> 2012/8/10 Steven Chamberlain <steven@pyro.eu.org>:
>> In the second screenshot it says "/: write failed, filesystem is full"
>> [...]
> 
> Probably a bigger mfsroot (see MFSROOT_LIMIT in debian-installer/build/Makefile)

The current limit for kfreebsd-amd64 is 64m;  I'm not sure yet how large
this will need to be, but probably no more than 128m.

I imagine the limit also needs increasing for kfreebsd-i386 (untested
yet).  I guess this problem has been triggered by new debconf
translations being added.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686861; Package src:debian-installer. (Sat, 29 Sep 2012 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 29 Sep 2012 15:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 686861@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 686861@bugs.debian.org
Subject: Re: Bug#686861: debian-installer: kfreebsd requires larger MFS_ROOT
Date: Sat, 29 Sep 2012 17:09:10 +0200
[Message part 1 (text/plain, inline)]
Control: tag -1 pending

Hi Steven,

Steven Chamberlain <steven@pyro.eu.org> (06/09/2012):
> The current limit for kfreebsd-amd64 is 64m; I'm not sure yet how
> large this will need to be, but probably no more than 128m.
> 
> I imagine the limit also needs increasing for kfreebsd-i386
> (untested yet).  I guess this problem has been triggered by new
> debconf translations being added.

and thanks for the patch; given Makefile says:
| # Limit on mfsroot size. It is determined by NKPT (in <machine/pmap.h).
| # On amd64, it can be increased by increasing this variable.  On i386,
| # this is a hard limit due to constraints of 4 GiB VM space.
| ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
| MFSROOT_LIMIT := 42m
| else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
| MFSROOT_LIMIT := 128m
| endif

I think I'll wait for a tested patch before touching that part for
kfreebsd-i386.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to 686861-submit@bugs.debian.org. (Sat, 29 Sep 2012 15:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686861; Package src:debian-installer. (Sat, 29 Sep 2012 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 29 Sep 2012 15:36:03 GMT) Full text and rfc822 format available.

Message #17 received at 686861@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 686861@bugs.debian.org
Subject: Re: Bug#686861: debian-installer: kfreebsd requires larger MFS_ROOT
Date: Sat, 29 Sep 2012 16:31:41 +0100
On 17:09, Cyril Brulebois wrote:
> | # Limit on mfsroot size. It is determined by NKPT (in <machine/pmap.h).
> | # On amd64, it can be increased by increasing this variable.  On i386,
> | # this is a hard limit due to constraints of 4 GiB VM space.
> | ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
> | MFSROOT_LIMIT := 42m
> | else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
> | MFSROOT_LIMIT := 128m
> | endif
> 
> I think I'll wait for a tested patch before touching that part for
> kfreebsd-i386.

Thanks KiBi,

On kfreebsd-amd64 I only noticed the problem affect the GTK installer.

For kfreebsd-i386 images only the text-mode installer is used, so
hopefully the current MFSROOT_LIMIT wil be large enough. It sounds like
it's already at its maximum.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sun, 30 Sep 2012 13:36:09 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Sun, 30 Sep 2012 13:36:09 GMT) Full text and rfc822 format available.

Message #22 received at 686861-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 686861-close@bugs.debian.org
Subject: Bug#686861: fixed in debian-installer 20120930
Date: Sun, 30 Sep 2012 13:32:50 +0000
Source: debian-installer
Source-Version: 20120930

We believe that the bug you reported is fixed in the latest version of
debian-installer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686861@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated debian-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 Sep 2012 06:33:54 +0200
Source: debian-installer
Binary: debian-installer
Architecture: source amd64
Version: 20120930
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 debian-installer - Debian installer
Closes: 684473 686858 686861
Changes: 
 debian-installer (20120930) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * Drop outdated documentation about brltty.
   * Add console-setup-linux-fonts-udeb to speakup-enabled images
     (closes: #684473).
   * Document that new languages need to specify a console-setup font name to
     be loaded.
   * Pull netdde-udeb instead of nic-modules on hurd-i386, the former providing
     the latter does not seem enough.
 .
   [ Cyril Brulebois ]
   * Apply patch from Paul Tagliamonte, updating the Joy pictures to use
     the correct brand; the Debian logo is now DFSG free.
   * When SPLASH_PNG is set, search for a matching SPLASH_SVG; if it's
     found, call rsvg-convert to generate the PNG file. Clean those on
     reallyclean. Add librsvg2-bin build-dep for rsvg-convert, restricted
     to any-{amd64,i386} (splash is used on x86, kfreebsd, and hurd).
   * Remove build/boot/{x86,kfreebsd,hurd}/pics/joy-hurd.png accordingly.
   * Fix broken kfreebsd-9 CD gtk install menuentry (add gtk/), thanks to
     Steven Chamberlain (Closes: #686858).
   * Bump MFSROOT_LIMIT from 64m to 128m for kfreebsd-amd64, thanks to Steven
     Chamberlain (Closes: #686861).
   * Add myself to Uploaders.
 .
   [ Aurelien Jarno ]
   * Install wheezy by default instead of sid on armhf and s390x.
 .
   [ Steve McIntyre ]
   * Add EFI support:
     - Add code to create bootable EFI images.
     - Add definitions for amd64 and i386 (disabled for the latter).
     - Add grub-efi.cfg
     - Add build-deps: grub-efi-{amd64,i386}-bin, grub-common, xorriso.
Checksums-Sha1: 
 526fde10b76805143a3100917dc2efa7e35a1e92 2579 debian-installer_20120930.dsc
 ae21dd7f368bbd024994f54a4befdd1c126888f7 1336856 debian-installer_20120930.tar.gz
 8b3fc9216105fdffed8948f074625c12167673ab 821334 debian-installer_20120930_amd64.deb
 4b68ae7bee8ad8072029b7834caf843f1b298061 236166242 debian-installer-images_20120930_amd64.tar.gz
Checksums-Sha256: 
 d35f1ac8cf9286d89dca6a137f60de7eee0362f3dc88e40193a181eb4a43cb2b 2579 debian-installer_20120930.dsc
 43d99a661b55c9e4a0d90e7b8052835fbcb238c117925e871368b4d4a307cc63 1336856 debian-installer_20120930.tar.gz
 b81d8f5f869d704fafe773edaf6aeedba6041a94aa82a581fc0a4bc79a971977 821334 debian-installer_20120930_amd64.deb
 acc8f74dfc98ccca32ef7278c42aa512ae283c9039ecf6fcc761d33bf06cb9d4 236166242 debian-installer-images_20120930_amd64.tar.gz
Files: 
 65dca84a6f474e9006fac40ed423c8a6 2579 devel optional debian-installer_20120930.dsc
 eb72dea519568e3ecb88f9bf900ea8e7 1336856 devel optional debian-installer_20120930.tar.gz
 fbd43a5440a075996f8613e965d80c88 821334 devel optional debian-installer_20120930_amd64.deb
 2c9f7d99982d8f7fe610a087105ae965 236166242 raw-installer - debian-installer-images_20120930_amd64.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlBn0zcACgkQeGfVPHR5Nd1pRACbBET3BuUbau8+OZ1LgazbAia3
lVUAn3YJZ3+fOp0F2jrF+jEDUe0l0YHs
=nonn
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686861; Package src:debian-installer. (Tue, 16 Oct 2012 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 16 Oct 2012 20:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 686861@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 686861@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#686861: debian-installer: kfreebsd requires larger MFS_ROOT
Date: Tue, 16 Oct 2012 21:09:59 +0100
reopen 686861
notfixed 686861 20120930
found 686861 20120930
severity 686861 wishlist
thanks

Hi,

I'm sorry to be a nuisance, but could the MFSROOT_LIMIT perhaps be
lowered just slightly, to 80 MiB?

The increase above 64 MiB was necessary because the installer (only
momentarily) seems to need a little more space for some processing of
debconf templates during a GUI install.  The jump up to 128 MiB was a
sure way to fix that, but now it seems a bit excessive.

If MFSROOT_LIMIT can be lowered to 80 MiB on kfreebsd-amd64, that should
lower the minimum memory requirement to 128 MiB for text installs and
192 MiB for GUI installs.  That would surely then satisfy the smallest
likely x86_64 systems or virtual machines.  qemu-system-x86_64 has a
default of 128 MiB RAM.

The install guide probably needs adjusting too;  the figures quoted for
squeeze don't sound realistic.  The available memory has to be at least
the size of an uncompressed kernel image, plus the value set for
MFSROOT_LIMIT, and still leave enough for the d-i userland.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Bug reopened Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Tue, 16 Oct 2012 20:15:07 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions debian-installer/20120930. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Tue, 16 Oct 2012 20:15:07 GMT) Full text and rfc822 format available.

Marked as found in versions debian-installer/20120930. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Tue, 16 Oct 2012 20:15:08 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'grave' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Tue, 16 Oct 2012 20:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686861; Package src:debian-installer. (Thu, 18 Oct 2012 09:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 18 Oct 2012 09:45:06 GMT) Full text and rfc822 format available.

Message #40 received at 686861@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 686861@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#686861: debian-installer: kfreebsd requires larger MFS_ROOT
Date: Thu, 18 Oct 2012 11:43:44 +0200
[Message part 1 (text/plain, inline)]
Hi,

Steven Chamberlain <steven@pyro.eu.org> (16/10/2012):
> reopen 686861
> notfixed 686861 20120930
> found 686861 20120930
> severity 686861 wishlist
> thanks

next time, please open a new bug, and reference the old one in the new
oneā€¦ what you asked for was implemented, and if you changed your mind,
that's another story, and another bug.

> I'm sorry to be a nuisance, but could the MFSROOT_LIMIT perhaps be
> lowered just slightly, to 80 MiB?
> 
> The increase above 64 MiB was necessary because the installer (only
> momentarily) seems to need a little more space for some processing
> of debconf templates during a GUI install.  The jump up to 128 MiB
> was a sure way to fix that, but now it seems a bit excessive.
> 
> If MFSROOT_LIMIT can be lowered to 80 MiB on kfreebsd-amd64, that
> should lower the minimum memory requirement to 128 MiB for text
> installs and 192 MiB for GUI installs.  That would surely then
> satisfy the smallest likely x86_64 systems or virtual machines.
> qemu-system-x86_64 has a default of 128 MiB RAM.
> 
> The install guide probably needs adjusting too; the figures quoted
> for squeeze don't sound realistic.  The available memory has to be
> at least the size of an uncompressed kernel image, plus the value
> set for MFSROOT_LIMIT, and still leave enough for the d-i userland.

Please come up with definitive numbers, for MFS_ROOT, lowmem, and the
installation guide. And we'll see what to do for beta 4 / rc 1.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug 686861 cloned as bug 696786 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 03:45:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'wishlist' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 03:45:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions debian-installer/20120930. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 03:45:09 GMT) Full text and rfc822 format available.

Marked as fixed in versions debian-installer/20120930. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 03:45:10 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 03:45:10 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Thu, 27 Dec 2012 03:45:11 GMT) Full text and rfc822 format available.

Bug reopened Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 03:57:06 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions debian-installer/20120930. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 03:57:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'please adjust MFSROOT_LIMIT; adjust lowmem thresholds' from 'debian-installer: kfreebsd requires larger MFS_ROOT' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 03:57:07 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 03:57:07 GMT) Full text and rfc822 format available.

Marked as found in versions debian-installer/20120930. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 03:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#696786; Package src:debian-installer. (Thu, 27 Dec 2012 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Dec 2012 04:39:03 GMT) Full text and rfc822 format available.

Message #67 received at 696786@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 696786@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Bug#696786: please adjust MFSROOT_LIMIT; adjust lowmem thresholds
Date: Thu, 27 Dec 2012 04:27:40 +0000
[Message part 1 (text/plain, inline)]
Control: -1 tags + patch

Hi,

Please consider lowering MFSROOT_LIMIT to 72m on kfreebsd-amd64.


The initial size of data in the installer MFS roots are:

~/debian-installer/build/tmp$ du -xm --max-depth=0 */tree | sort -bn
9       cdrom_grub/tree
10      netboot/tree
10      netboot-9/tree
37      cdrom_gtk/tree
38      netboot-gtk/tree
38      netboot-gtk-9/tree

Testing with netboot-gtk-9, the largest size I've been able to fill the
ramdisk to is 68389 KiB used.

If we set MFSROOT_LIMIT := 72m this leaves some room whilst still
allowing installs with as low as 128 MiB RAM.  That is also the default
memory setting for qemu-system-x86_64.


With MFSROOT_LIMIT := 72m, qemu -m 128 corresponds with a 39444 KiB
MemTotal.

Smaller than this (e.g. at -m 124), the first thing to fail is actually
devd in the early initscripts.  So we should set a low=38 threshold to
warn the user about 'unpredictable behaviour' otherwise.

level1 and level2 memory conservations don't help at this early stage,
so they can be set to the same value of 38.  (They don't give noticeable
benefit anyway since on kFreeBSD the ramdisk allocation is of fixed
size, no matter how full it is).


Once d-i is running, plenty of memory is free probably for even a full
GTK install.  But GTK doesn't trigger below MemTotal >= 134 due to the
calculation by rootskel S60frontend.  It corresponds with qemu -m 224.

We could (later?) try to lower that threshold, because on kFreeBSD the
text-mode installer lacks support for a number of languages, therefore
we'd like the GTK installer to be available wherever possible.


For the purposes of installation-guide, we can therefore suggest
minimum_memory=128, minimum_memory_gtk=224

Thanks!
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[d-i.patch (text/x-patch, attachment)]
[installation-guide.patch (text/x-patch, attachment)]
[lowmem.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 04:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#696786; Package src:debian-installer. (Thu, 27 Dec 2012 07:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Dec 2012 07:03:12 GMT) Full text and rfc822 format available.

Message #74 received at 696786@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 696786@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#696786: please adjust MFSROOT_LIMIT; adjust lowmem thresholds
Date: Thu, 27 Dec 2012 06:58:44 +0000
[Message part 1 (text/plain, inline)]
Hi,

Please use this amended patch for lowmem limits.  The other patches are
unchanged.

I found a reason to force lowmem mode:  ZFS.

If the partman-zfs module is loaded, there is a risk of ZFS exhausting
available memory, e.g. if an old ZFS volume is found on one of the
disks.  level2 lowmem mode would disable that udeb as standard.

Normally we'd need 512 MiB to 1 GiB RAM for ZFS to work at all, or at
least 4 GiB to work smoothly with ARC.  (This probably deserves a
separate mention in the installation-guide).


Also the low memory warnings are quite sensible anyway - we'd really
prefer that users provide more than 128 MiB memory - and once they get
to 224 MiB they'll get a GTK installer with the full set of languages.
That is what the level2=134 threshold corresponds with.

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[lowmem2.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 09:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#696786; Package src:debian-installer. (Thu, 27 Dec 2012 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Dec 2012 15:24:04 GMT) Full text and rfc822 format available.

Message #81 received at 696786@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: debian-boot@lists.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>, 696786@bugs.debian.org
Subject: Re: Bug#696786: please adjust MFSROOT_LIMIT; adjust lowmem thresholds
Date: Thu, 27 Dec 2012 15:21:41 +0000
Hi Samuel,

On 27/12/12 09:56, Samuel Thibault wrote:
> I've applied your patches.

Thank you for that.

> How about i386?  Does its MFSROOT_LIMIT perhaps need to be increased?  I
> have updated its lowmem figures to match 128/224 too.

I really haven't tested this for kfreebsd-i386 yet.

But the MFSROOT_LIMIT for 32-bit is already at its maximum, according to
comments in the build/Makefile about VM address space.  I'll try to test
anyway to make sure it is really enough.

For the lowmem figures, I imagined kfreebsd-i386 might work with lower
thresholds, on systems with less RAM (around 64 to 96 MiB) but again I
should test this.


Something to be careful of was a quiet error in /var/log/syslog while
d-i is running, about devd running out of swap space (out of memory -
this is before any swap is mounted).  I've seen it happen for
kfreebsd-amd64 with less than 128 MiB memory - depending when it happens
it has led to partman crashing (so the installer gets stuck), or the
install proceeding despite some partitions not being mounted in /target/...

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#696786; Package src:debian-installer. (Thu, 27 Dec 2012 21:24:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Dec 2012 21:24:13 GMT) Full text and rfc822 format available.

Message #86 received at 696786@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: debian-boot@lists.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>, 696786@bugs.debian.org
Subject: Re: Bug#696786: please adjust MFSROOT_LIMIT; adjust lowmem thresholds
Date: Thu, 27 Dec 2012 21:21:33 +0000
[Message part 1 (text/plain, inline)]
Hi,

I've tested and have numbers for kfreebsd-i386 now.  Please find patches
attached for this, and an explanation below.


> But the MFSROOT_LIMIT for 32-bit is already at its maximum, [...]

Under normal circumstances the highest usage I've seen is ~37 MiB, so
MFSROOT_LIMIT := 42m is fine for now.

I did notice netcfg coredump once and this is a problem (DNS was
unconfigured and it leaves no ramdisk space)...

> For the lowmem figures, I imagined kfreebsd-i386 might work with lower
> thresholds, on systems with less RAM (around 64 to 96 MiB)

low=23 (qemu -m 80) since devd may crash in early initscripts otherwise.

We don't want the level1/level2 thresholds to be set too high as it
forces the installer to run in English.

level1 and level2=39 (qemu -m 96) is high enough so that ZFS probes
don't cause a problem.  A non-ZFS install can proceed after that.

We don't support ZFS installs on such small systems;  partman-zfs warns
(and we should also mention in the install guide) that *at least* 512
MiB is needed for that;  kernel panics are expected otherwise.


For the install guide then, minimum_memory=80.  GTK installers aren't
built for 32-bit, but if they were, would need minimum_memory_gtk=192
currently due to the calculation in rootskel S60frontend.

Thank you,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[lowmem.patch (text/x-patch, attachment)]
[installation-guide.patch (text/x-patch, attachment)]

Severity set to 'important' from 'normal' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 14 Jan 2013 06:21:06 GMT) Full text and rfc822 format available.

Merged 696786 698103 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 14 Jan 2013 06:21:07 GMT) Full text and rfc822 format available.

Reply sent to Steven Chamberlain <steven@pyro.eu.org>:
You have taken responsibility. (Sun, 10 Feb 2013 16:39:04 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Sun, 10 Feb 2013 16:39:04 GMT) Full text and rfc822 format available.

Message #95 received at 696786-done@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 696786-done@bugs.debian.org
Subject: Re: Bug#696786: please adjust MFSROOT_LIMIT; adjust lowmem thresholds
Date: Sun, 10 Feb 2013 16:35:58 +0000
Version: 1.38



Reply sent to Steven Chamberlain <steven@pyro.eu.org>:
You have taken responsibility. (Sun, 10 Feb 2013 16:39:04 GMT) Full text and rfc822 format available.

Notification sent to Michael Tsang <miklcct@gmail.com>:
Bug acknowledged by developer. (Sun, 10 Feb 2013 16:39:05 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 11 Feb 2013 23:51:10 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Mon, 11 Feb 2013 23:51:10 GMT) Full text and rfc822 format available.

Message #104 received at 696786-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 696786-close@bugs.debian.org
Subject: Bug#696786: fixed in debian-installer 20130211
Date: Mon, 11 Feb 2013 23:47:47 +0000
Source: debian-installer
Source-Version: 20130211

We believe that the bug you reported is fixed in the latest version of
debian-installer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696786@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated debian-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 11 Feb 2013 22:26:19 +0100
Source: debian-installer
Binary: debian-installer
Architecture: source amd64
Version: 20130211
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 debian-installer - Debian installer
Closes: 696168 696780 696786
Changes: 
 debian-installer (20130211) unstable; urgency=low
 .
   [ Joey Hess ]
   * When building with localudebs, only disable secure apt checking for that
     repository, while keeping it working for network repositories,
     by using [trusted=yes] in sources.list.udeb. Closes: #696168
 .
   [ Wouter Verhelst ]
   * Bring m68k back from the dead:
     - Use current kernel versions.
     - Point to debian-ports.org for now.
     - s/atari-ekmap/ataritt-ekmap/, since the former packages don't exist.
 .
   [ Cyril Brulebois ]
   * Apply patch from Steven Chamberlain (thanks!) to fix PXE configuration
     on kfreebsd-* for the netboot-9 images: build/config/kfreebsd.cfg is
     now responsible for generating proper entries based on the
     build/boot/kfreebsd/grub-kfreebsd-pxe.cfg template. Closes: #696780
   * Update translation-status for d-i wheezy rc1.
 .
   [ Steven Chamberlain ]
   * Decrease kfreebsd-amd64's MFSROOT_LIMIT to 72MiB, to allow 128MiB-memory
     installation (Closes: #696786).
 .
   [ Steve McIntyre ]
   * Tweak EFI video setup at boot time:
     - Try 800x600 as the default EFI video mode, some machines don't do
       640x480
Checksums-Sha1: 
 32099483f5f0e7c184803532ce820e3633bfbdd0 2591 debian-installer_20130211.dsc
 0431889cea4bfc62dd2b3b9d9d6be15f94e0ec97 1344266 debian-installer_20130211.tar.gz
 4fad3be4974466df30bf4a9c648586dd903be892 829418 debian-installer_20130211_amd64.deb
 bbe8c5abc648688133c34f556ba8f928d35e2c49 245550902 debian-installer-images_20130211_amd64.tar.gz
Checksums-Sha256: 
 016b2b26204063644af2f7c8557ca34cc9d08cfd80ce93b40f126cb0f941a338 2591 debian-installer_20130211.dsc
 c7cf5e0da7e11c0dc154ba2525894e19afef2506ed9e38c8b65f5a839c4cd41a 1344266 debian-installer_20130211.tar.gz
 e9884b1eb5f3d058b1ad55e065f6cf7db8e7b4f89c681d2f74b7fbda46ed7b78 829418 debian-installer_20130211_amd64.deb
 0956aa87db40b4bcc43f1533864d58033c7a0426e2b3129b206fbd758258856d 245550902 debian-installer-images_20130211_amd64.tar.gz
Files: 
 90374a0381aad14c74114f4b5149d412 2591 devel optional debian-installer_20130211.dsc
 afa81711af96efb80e79f8dc58667faf 1344266 devel optional debian-installer_20130211.tar.gz
 6be1dbbd4b06d0c0edc7ecb0a33267df 829418 devel optional debian-installer_20130211_amd64.deb
 74b8bfc138f25b0e070fb867c4bf894e 245550902 raw-installer - debian-installer-images_20130211_amd64.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEZc8QACgkQeGfVPHR5Nd1I/QCeNoRkipYepI+12U9mmyAwiTMg
4EYAn3dtaA3mtFlYD2ytClejWnNHGuHz
=EqvA
-----END PGP SIGNATURE-----




Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 11 Feb 2013 23:51:11 GMT) Full text and rfc822 format available.

Notification sent to Michael Tsang <miklcct@gmail.com>:
Bug acknowledged by developer. (Mon, 11 Feb 2013 23:51:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Mar 2013 07:25:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:49:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.